Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.tools.graph
Class TopologicalSort<R>

    java.lang.Object
      org.hibernate.envers.tools.graph.TopologicalSort<R>

    public class TopologicalSort<R>

extends Object

Topological sorting of a graph - based on DFS.

Constructor Summary
`TopologicalSort()`

Method Summary
`List<R>` | `sort(Collection<Vertex<R>> vertices)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopologicalSort

    public TopologicalSort()

Method Detail

### sort

    public List<R> sort(Collection<Vertex<R>> vertices)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.